# UncomplicatedCustomItems (UCI)

<button type="button" class="button primary" data-action="ask" data-icon="gitbook-assistant">Ask a question...</button>

<a href="/spaces/lIh9axAte7Pryx4zxpm3/pages/LThc2RqOxBKU56Qt3TMy" class="button secondary" data-icon="rocket-launch">Get Started</a><a href="/spaces/lIh9axAte7Pryx4zxpm3/pages/h9axIj5sumogWQdi6sco" class="button secondary" data-icon="key">Custom Flags</a><a href="/spaces/lIh9axAte7Pryx4zxpm3/pages/7RAEvbqd5bVs7rGMGhI4" class="button secondary" data-icon="layer-plus">CustomItem API</a><a href="/spaces/lIh9axAte7Pryx4zxpm3/pages/i94vSoQwencxwzt5abep" class="button secondary" data-icon="rotate-exclamation">Pre-release Content</a><a href="/spaces/AAWrRt3Sfg8ERpZ8OiMX" class="button secondary" data-icon="rectangle-history-circle-plus">Change Log</a>

&#x20;

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th><th data-hidden data-card-cover data-type="files"></th></tr></thead><tbody><tr><td><h4><i class="fa-leaf" style="color:$primary;">:leaf:</i></h4></td><td><strong>No code required</strong></td><td>Get started with UCI in 10 minutes.</td><td><a href="/spaces/lIh9axAte7Pryx4zxpm3/pages/7FvWQMF0kTK7HGhlQfmo">/spaces/lIh9axAte7Pryx4zxpm3/pages/7FvWQMF0kTK7HGhlQfmo</a></td><td><a href="/files/LHIOZGoI6dPF36TuRaxH">/files/LHIOZGoI6dPF36TuRaxH</a></td></tr><tr><td><h4><i class="fa-server" style="color:$primary;">:server:</i></h4></td><td><strong>CustomItem API</strong></td><td>Learn more about using UCI's CustomItems API.</td><td><a href="/spaces/lIh9axAte7Pryx4zxpm3/pages/7RAEvbqd5bVs7rGMGhI4">/spaces/lIh9axAte7Pryx4zxpm3/pages/7RAEvbqd5bVs7rGMGhI4</a></td><td><a href="/files/IaUMODRBBSBL8eUaPX09">/files/IaUMODRBBSBL8eUaPX09</a></td></tr><tr><td><h4><i class="fa-terminal" style="color:$primary;">:terminal:</i></h4></td><td><strong>Pre-release content</strong></td><td>Browse, test, and implement APIs.</td><td><a href="/spaces/lIh9axAte7Pryx4zxpm3/pages/i94vSoQwencxwzt5abep">/spaces/lIh9axAte7Pryx4zxpm3/pages/i94vSoQwencxwzt5abep</a></td><td><a href="/files/ebMoLMpZFyLqpzByuzrk">/files/ebMoLMpZFyLqpzByuzrk</a></td></tr></tbody></table>

&#x20;

&#x20;

{% columns %}
{% column width="50%" %}

## Get started in minutes

Make your first CustomItem in under 10 minutes.

This quickstart walks through the basic setup: downloading the plugin, creating a YAML file, and using custom flags.

{% hint style="warning" icon="life-ring" %}
**Need some help?**

Troubleshoot common issues or ask for help.

<details>

<summary>I'm getting a YAML exception in my console</summary>

* Make sure your CustomItem is following the correct format.
* Make sure you're using the correct collection type and closing them correctly

</details>

<details>

<summary>I can't run any commands</summary>

* Make sure you have the required permissions
* If you're using LabApi, the permissions file will be at `SCP Secret laboratory/LabApi/configs/Permissions.yml`
* If you're using Exiled, the permissions file will be at `EXILED/config/Permissions.yml`
* The required permission for a command is specified in its docs page.

</details>

<details>

<summary>My example does not load</summary>

* Make sure all the dependencies are installed.
* Check your console for exceptions or errors.
* If you cannot fix it, please send us a log report by running `ucilogs` in your server's console

</details>

<button type="button" class="button primary" data-action="ask" data-icon="gitbook-assistant">Explain what's happening...</button>
{% endhint %}

With your CustomItem done, use the guides for deeper setup and the API docs for examples and guides.

<a href="/spaces/lIh9axAte7Pryx4zxpm3/pages/7FvWQMF0kTK7HGhlQfmo" class="button primary" data-icon="rocket-launch">Get started</a> <a href="/spaces/lIh9axAte7Pryx4zxpm3/pages/brQhuUq0jupNo1GMRXCM" class="button secondary" data-icon="terminal">API</a>

&#x20;

&#x20;
{% endcolumn %}

{% column width="50%" %}
{% stepper %}
{% step %}

#### Download the plugin

Download the latest stable release from GitHub, or the latest pre-release from our Discord.

<a href="https://github.com/UncomplicatedCustomServer/UncomplicatedCustomItems/releases/latest" class="button primary">Latest Stable</a><a href="https://discord.gg/5StRGu8EJV" class="button secondary">Latest Pre-release</a>
{% endstep %}

{% step %}

#### Make your CustomItem

Below are some examples of CustomItems

{% tabs %}
{% tab title="CustomWeapon" %}
{% code expandable="true" %}

```yml
id: 1
name: FunnyGun
description: A weapon that has a shotgun-like bullet spread
extended_description: ''
badge_name: ''
badge_color: ''
weight: 2
item: GunFRMG0
scale:
  x: 1
  y: 1
  z: 1
spawn:
  do_spawn: true
  count: 1
  spawn_settings:
  - chance: 100
    locker_settings:
      enable: true
      locker_type: RifleRack
      room: HczWarhead
      zone: HeavyContainment
      chamber: MainChamber
      offset:
        x: 0
        y: 0
        z: 0
  - chance: 100
    locker_settings:
      enable: true
      locker_type: RifleRack
      room: Hcz049
      zone: HeavyContainment
      chamber: MainChamber
      offset:
        x: 0
        y: 0
        z: 0
custom_modules:
  InfiniteAmmo: []
  ItemGlow:
  - GlowColor: '#00FF00'
    range: 5
    intensity: 2
  DistruptorTracer: []
  PickupHintOverride:
  - hint: 'This is a funny gun!'
    duration: 5
  EquipHintOverride:
  - hint: 'You have equipped the funny gun!'
    duration: 5
arguments: []
custom_item_type: Weapon
custom_data:
  damage: 2.75
  max_ammo: 150
  max_magazine_ammo: 150
  max_barrel_ammo: 15
  penetration: 1.24000001
  inaccuracy: 1.24000001
  aiming_inaccuracy: 1.24000001
  damage_falloff_distance: 1
  attachments: DotSight
  enable_friendly_fire: false
```

{% endcode %}
{% endtab %}

{% tab title="CustomItem" %}
{% code expandable="true" %}

```yml
id: 2
name: Detonator
description: An item that reminds me
extended_description: ''
badge_name: ''
badge_color: ''
weight: 2
item: Coin
scale:
  x: 1
  y: 1
  z: 1
spawn:
  do_spawn: false
  count: 1
  spawn_settings:
  - chance: 30
    coords:
      x: 0
      y: 0
      z: 0
    rotation:
      x: 0
      y: 0
      z: 0
    locker_settings: []
    dynamic_spawn:
    - room: Lcz914
      coords:
        x: 1
        y: 1
        z: 1
    zones:
    - HeavyContainment
    - Entrance
    replace_existing_pickup: false
    force_item: false
    replace_items_in_pedestals: false
custom_modules: {}
arguments: {}
custom_item_type: Item
custom_data:
  data:
  - event: Command
    command: /SERVER_EVENT DETONATION_INSTANT
    cool_down: 1
    console_message: UHUHUHUH!
    broadcast_message: The broadcast uuhh!!!
    broadcast_duration: 3
    hint_message: The Hint uhhhh!!
    hint_duration: 2.29999995
    destroy_after_use: false

```

{% endcode %}
{% endtab %}

{% tab title="CustomArmor" %}
{% code expandable="true" %}

```yml
id: 3
name: Titanium Armor
description: A super heavy armor
extended_description: ''
badge_name: ''
badge_color: ''
weight: 2
item: ArmorHeavy
scale:
  x: 1
  y: 1
  z: 1
spawn:
  do_spawn: false
  count: 1
  spawn_settings:
  - chance: 30
    coords:
      x: 0
      y: 0
      z: 0
    rotation:
      x: 0
      y: 0
      z: 0
    locker_settings: []
    dynamic_spawn:
    - room: Lcz914
      coords:
        x: 1
        y: 1
        z: 1
    zones:
    - HeavyContainment
    - Entrance
    replace_existing_pickup: false
    force_item: false
    replace_items_in_pedestals: false
custom_modules: {}
arguments: {}
custom_item_type: Armor
custom_data:
  head_protection: 150
  body_protection: 200
  stamina_use_multiplier: 2
  stamina_regen_multiplier: 2
  allow_sprinting: true

```

{% endcode %}
{% endtab %}

{% tab title="CustomGrenade" %}
{% code expandable="true" %}

```yml
id: 4
name: My favourite grenade
description: Throw it, my friend :)
extended_description: ''
badge_name: ''
badge_color: ''
weight: 2
item: GrenadeHE
scale:
  x: 1
  y: 1
  z: 1
spawn:
  do_spawn: false
  count: 1
  spawn_settings:
  - chance: 30
    coords:
      x: 0
      y: 0
      z: 0
    rotation:
      x: 0
      y: 0
      z: 0
    locker_settings: []
    dynamic_spawn:
    - room: Lcz914
      coords:
        x: 1
        y: 1
        z: 1
    zones:
    - HeavyContainment
    - Entrance
    replace_existing_pickup: false
    force_item: false
    replace_items_in_pedestals: false
custom_modules: {}
arguments: {}
custom_item_type: ExplosiveGrenade
custom_data:
  max_radius: 250
  scp_damage_multiplier: 1.5
  burn_duration: 10
  deafen_duration: 15
  concuss_duration: 2.5
  fuse_time: 3
  pin_pull_time: 0.5
  repickable: false
  player_damage_multiplier: 3.5
  door_damage_multiplier: 2.5
  explode_on_impact: false

```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endstep %}

{% step %}

#### Load the CustomItem

You can either reload all CustomItems by running `uci reload` in the RA console or by restarting your server.
{% endstep %}
{% endstepper %}
{% endcolumn %}
{% endcolumns %}

&#x20;

&#x20;

<h2 align="center">Join a community of over 900 People</h2>

<p align="center">Join our Discord community or create your first PR in just a few steps.</p>

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th></th><th></th><th></th><th data-hidden data-card-cover data-type="files"></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><h4><i class="fa-discord">:discord:</i></h4></td><td><strong>Discord community</strong></td><td>Join our Discord community to post questions, get help, and share resources with over 900 like-minded people.</td><td><a href="https://discord.gg/5StRGu8EJV" class="button secondary" data-icon="arrow-left-from-bracket">Join Discord</a></td><td></td><td><a href="https://www.gitbook.com/">https://www.gitbook.com/</a></td></tr><tr><td><h4><i class="fa-github">:github:</i></h4></td><td><strong>GitHub</strong></td><td>Our product is 100% open source and built by developers just like you. Head to our GitHub repository to learn how to submit your first PR.</td><td><a href="https://github.com/UncomplicatedCustomServer/UncomplicatedCustomItems" class="button secondary" data-icon="arrow-up-to-line">Submit a PR</a></td><td></td><td><a href="https://www.gitbook.com/">https://www.gitbook.com/</a></td></tr></tbody></table>

&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uci.ucserver.it/readme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
